Skip to main content
POST
/
api
/
v2
/
verification
/
malaysian-ic-verification
Malaysia IC Check
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v2/verification/malaysian-ic-verification \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ic_number": "<string>",
  "template_id": "{your_trust_flow_id}",
  "verification_id": "{your_created_verification_id}"
}
'
{
  "status": true,
  "message": "OK",
  "response": {
    "status": "valid",
    "data": {
      "name": "LEO ADRIANO RICHARD",
      "icNumber": "030226060581",
      "dateOfBirth": "2003-02-26",
      "gender": "male"
    },
    "requestData": {
      "icNumber": "030226060581"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json

Body

application/json
ic_number
string
required

Number on the Malaysia identification card (IC).

template_id
integer
required

Identifier used to categorize or group requests for tracking or reporting.

verification_id
string
required

A unique ID used to identify your verification request.

Response

200 - application/json

Malaysia IC verified successfully

status
boolean
message
string
response
object